<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds>
    <motorized>
        <sounds>
            <motor template="indoorCabinRumble" />
            <motorStart template="LARGE_TRACTOR_MOTOR_START"       file="animationSounds/fendt-start.ogg"     volumeScale="1.8"/>
            <motor      template="LARGE_TRACTOR_MOTOR_IDLE"        file="animationSounds/fendt-idle.ogg"      volumeScale="1.8"/> 
            <motorStop  template="LARGE_TRACTOR_MOTOR_STOP"        file="animationSounds/fendt_1xxx_stop.ogg"    volumeScale="1.8"/>

            <!-- Load-Sound -->
            <motor file="animationSounds/900gen7-load.ogg" linkNode="0>" innerRadius="23.5" outerRadius="85.0" >
                <volume indoor="0.6" outdoor="1.9" >
                    <modifier type="MOTOR_RPM_REAL" value="650" modifiedValue="0.00" />
                    <modifier type="MOTOR_RPM_REAL" value="850" modifiedValue="0.01" />
                    <modifier type="MOTOR_RPM_REAL" value="1200" modifiedValue="0.45" />
                    <modifier type="MOTOR_RPM_REAL" value="1400" modifiedValue="0.60" />
                    <modifier type="MOTOR_RPM_REAL" value="1700" modifiedValue="1.00" />
                    <modifier type="ACCELERATE" value="0" modifiedValue="0.5" />
                    <modifier type="ACCELERATE" value="1" modifiedValue="1.0" />
                    <modifier type="CRUISECONTROL" value="0" modifiedValue="1.0" />
                    <modifier type="CRUISECONTROL" value="1" modifiedValue="2.0" />
                    <modifier type="SUSPENSION" value="-0.01" modifiedValue="1.2" />
                    <modifier type="SUSPENSION" value="0" modifiedValue="1.0" />
                </volume>    
                <pitch indoor="0.96" outdoor="0.96" >
                    <modifier type="MOTOR_RPM" value="0.25" modifiedValue="0.82" />
                    <modifier type="MOTOR_RPM" value="1.0" modifiedValue="1.15" />
                    <modifier type="SPEED" value="15.4" modifiedValue="1.00" />
                    <modifier type="SPEED" value="36.0" modifiedValue="1.12" />
                    <modifier type="SPEED" value="43.0" modifiedValue="1.08" />

                    <modifier type="SUSPENSION" value="-1.0" modifiedValue="0.95" />
                    <modifier type="SUSPENSION" value="-0.05" modifiedValue="0.98" />
                    <modifier type="SUSPENSION" value="0" modifiedValue="1.0" />
                    <modifier type="SUSPENSION" value="0.05" modifiedValue="1.02" />
                    <modifier type="SUSPENSION" value="1.0" modifiedValue="1.05" />
                </pitch>
                <lowpassGain indoor="0.5" outdoor="0.95" />
            </motor>
            <gearbox file="animationSounds/900gen7-transmission.ogg" pitchScale="0.9" volumeScale="0.35" innerRadius="5.0" outerRadius="80.0" > 
                <volume indoor="0.65" outdoor="1.5" >
                    <modifier type="SPEED" value="4.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="30.0" modifiedValue="1.0" />
                    <modifier type="SPEED" value="60.0" modifiedValue="1.0" />
                    <modifier type="SPEED" value="120.0" modifiedValue="1.4" />

                    <modifier type="MOTOR_LOAD" value="-1.00" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.00" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.20" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="0.45" modifiedValue="2.0" />
                    <modifier type="MOTOR_LOAD" value="0.80" modifiedValue="1.0" />
                    <modifier type="MOTOR_LOAD" value="1.00" modifiedValue="0.7" />
            
                    <modifier type="DRIVING_DIRECTION" value="-1.0" modifiedValue="1.5" />
                    <modifier type="DRIVING_DIRECTION" value="0.00" modifiedValue="0.0" />
                    <modifier type="DRIVING_DIRECTION" value="1.00" modifiedValue="1.0" />
                </volume>
                <pitch indoor="1.80" outdoor="1.77">
                    <modifier type="SPEED" value="0.0" modifiedValue="0.3"/>
                    <modifier type="SPEED" value="60.0" modifiedValue="0.8"/>
                    <modifier type="SPEED" value="120.0" modifiedValue="1.3"/>

                    <modifier type="SUSPENSION" value="-1.0" modifiedValue="0.9" />
                    <modifier type="SUSPENSION" value="-0.5" modifiedValue="0.95" />
                    <modifier type="SUSPENSION" value="0.0" modifiedValue="1.0" />
                    <modifier type="SUSPENSION" value="0.5" modifiedValue="1.05" />
                    <modifier type="SUSPENSION" value="1.0" modifiedValue="1.1" />

                    <modifier type="DRIVING_DIRECTION" value="-1.0" modifiedValue="1.8" />
                    <modifier type="DRIVING_DIRECTION" value="0.00" modifiedValue="1.0" />
                    <modifier type="DRIVING_DIRECTION" value="1.00" modifiedValue="1.0" />
                </pitch>
                
                <lowpassGain indoor="0.3" outdoor="1.0" />
                <lowpassCutoffFrequency indoor="700" outdoor="20000.0" />
                <lowpassResonance indoor="1.0" outdoor="1.0"/> 
            </gearbox>

            <motor file="animationSounds/900gen6-triebsatz.ogg" linkNode="0>" innerRadius="23.5" outerRadius="110.0" volumeScale="1.8">
                <volume indoor="0.9" outdoor="1.93" >
                    <modifier type="SPEED" value="0.0"  modifiedValue="0.0" />
                    <modifier type="SPEED" value="20.0" modifiedValue="0.15" />
                    <modifier type="SPEED" value="34.0" modifiedValue="0.45" />
                    <modifier type="SPEED" value="40.0" modifiedValue="0.6" />
                    <modifier type="SPEED" value="50.0" modifiedValue="0.8" />
                    <modifier type="SPEED" value="68.0" modifiedValue="1.0" />
                    <modifier type="ACCELERATE" value="0.0" modifiedValue="0.71" />
                    <modifier type="ACCELERATE" value="0.5" modifiedValue="1.00" />
                    <modifier type="CRUISECONTROL" value="0" modifiedValue="1.00" />
                    <modifier type="CRUISECONTROL" value="1" modifiedValue="1.41" />
                </volume>
                <pitch indoor="1.0" outdoor="1.0" >
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="68.0" modifiedValue="1.1" />
                </pitch>
                <lowpassGain indoor="0.3" outdoor="1.0" />
                <lowpassCutoffFrequency indoor="700" outdoor="20000.0" />
                <lowpassResonance indoor="1.0" outdoor="1.0"/> 
            </motor> 
            <motor template="indoorCabinRumble" />
            <gearbox template="transmissionLarge" volumeScale="0.20" />
            <compressedAir template="compressedAir"/>
            <airCompressorRun template="brakeCompressorLarge" volumeScale="0.8"/>
            <airCompressorStop template="compressedAir"/>
        </sounds>
    </motorized>

    <lights>
        <sounds>
            <toggleLights template="SWITCH_01"  />
            <turnLight file="animationSounds/fendt-turnlightG6.ogg">
                <volume indoor="2" outdoor="0.0" />
            </turnLight>
        </sounds>
    </lights>

    <attacherJoints>
        <sounds>
            <attach template="ATTACH_01" />
            <hydraulic template="defaultHydraulicSound" />
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="WATER_SPLASH_01" />
        </sounds>
    </drivable>

    <honk>
        <sound file="animationSounds/fendt800s4-honk.ogg" pitchScale="1.0" volumeScale="1.55" innerRadius="5.0" outerRadius="140.0" > 
            <volume indoor="1" outdoor="4"/>
            <lowpassGain indoor="0.6" outdoor="1.0" />
		</sound>
    </honk>
</sounds>
